#!/bin/bash

# Check that $TC_ROOT is defined
#
if [ -z "$TC_ROOT" ]; then
   echo "%TC_ROOT-E-NOROOT, \$TC_ROOT is not defined" >&2
   exit 1
fi


if [ ! -d $TC_ROOT/tmp ]; then
	mkdir $TC_ROOT/tmp
fi

temp_reg=$TC_ROOT/tmp/temp$$.REG
temp_ui=$TC_ROOT/tmp/ui$$.xml
temp_path=$TC_ROOT/tmp/temp$$.txt
temp_file=$TC_ROOT/tmp/temp$$
replace_text=%TC_ROOT%

temp_text=`cygpath -sw "$TC_ROOT"`
echo $temp_text >  $temp_path
sed -e 's/\\/\\\\\\\\/' $temp_path > $temp_file
 
new_text=`cat $temp_file`

rm -f $temp_file
rm -f $temp_path

# Find current Directory
current_dir=`dirname $0`
[ "$current_dir" = "." ] && current_dir=`pwd`

#copy build-version.properties
if [ -f $TC_ROOT/home/thinkcontrol/config/build-version.properties ]; then
	rm -f $TC_ROOT/home/thinkcontrol/config/build-version.properties >> postinstall.log 2>&1
fi
cp -f $TC_ROOT/tmp/utils/build-version.properties $TC_ROOT/home/thinkcontrol/config/build-version.properties

#detect it's TIO or TPM
sed -e 's/  */ /g' $TC_ROOT/home/thinkcontrol/config/ui.xml > $temp_ui
grep -e "<!-- <configuration id='think-provision'/> -->" $temp_ui > /dev/null
if [ $? -ne 0 ]; then
	echo "TPM-I-DETECTED: TPM is installed"
	sed -e "s/$replace_text/\$new_text/" $current_dir/addTPMKey.REG > $temp_reg
	mv -f $temp_reg $TC_ROOT/tmp/addTPMKey.REG 
	
	if [ -f $TC_ROOT/home/thinkcontrol/config/TIOSignature.xml ]; then
		rm -f $TC_ROOT/home/thinkcontrol/config/TIOSignature.xml >> postinstall.log 2>&1
	fi
	if [ -f $TC_ROOT/home/thinkcontrol/config/TPMSignature.xml ]; then
		rm -f $TC_ROOT/home/thinkcontrol/config/TPMSignature.xml >> postinstall.log 2>&1
	fi
	cp -f $TC_ROOT/tmp/utils/TPMSignature.xml $TC_ROOT/home/thinkcontrol/config/
	
	$TC_ROOT/home/thinkcontrol/tools/fp2/tpm_setup.sh  $TC_ROOT/home/thinkcontrol/tools/fp2/tpm_files.txt $TC_ROOT/home/thinkcontrol/tools/fp2/tpm_setup.log

else
	echo "TIO-I-DETECTED: TIO is installed"
	sed -e "s/$replace_text/$new_text/" $current_dir/addTIOKey.REG > $temp_reg
	mv -f $temp_reg $TC_ROOT/tmp/addTIOKey.REG
	
	if [ -f $TC_ROOT/home/thinkcontrol/config/TPMSignature.xml ]; then
		rm -f $TC_ROOT/home/thinkcontrol/config/TPMSignature.xml >> postinstall.log 2>&1
	fi
	if [ -f $TC_ROOT/home/thinkcontrol/config/TIOSignature.xml ]; then
		rm -f $TC_ROOT/home/thinkcontrol/config/TIOSignature.xml >> postinstall.log 2>&1
	fi
	cp -f $TC_ROOT/tmp/utils/TIOSignature.xml $TC_ROOT/home/thinkcontrol/config/
fi      