#!/bin/bash

#check build-version.properties 
# rc 0 if the version is >788 
# rc 1 if the version is 788

# Check that $TC_ROOT is defined
#
if [ -z "$TC_ROOT" ]; then
   echo "%TC_ROOT-E-NOROOT, \$TC_ROOT is not defined" >&2
   exit 1
fi

temp=$TC_ROOT/tmp/temp$$
version_file=$TC_ROOT/tmp/version$$

#check the format
if [ ! `grep "build.number=U" "$TC_ROOT/home/thinkcontrol/config/build-version.properties" ` ]; then
	echo this is not the fixpack version
	exit 1
fi

grep 'build.number' $TC_ROOT/home/thinkcontrol/config/build-version.properties | sed -e 's/build.number=U//' > $temp

cat $temp | cut -d _ -f1 > $version_file
version=`cat $version_file`

if [ $version -gt 788 ]; then
	exit 0
else 
	exit 1
fi