@if defined echo (echo %echo% ) else echo off
setlocal

:Launch
Echo.
set LaunchTitle=%0
Echo Starting [ %LaunchTitle% ] and writing install logs to %LaunchTitle%.log
set LOGFILENAME="%LaunchTitle%.log"

:CheckEnvironmentVariable
Echo.
Echo Checking Environment Variable
Echo CheckEnvironmentVariable > %LOGFILENAME% 2>&1
Echo IF "%TC_ROOT%" == "" goto MissingEnvVariable >> %LOGFILENAME% 2>&1
IF "%TC_ROOT%" == "" goto MissingEnvVariable
Echo IF "%WAS_HOME%" == "" goto MissingEnvVariable >> %LOGFILENAME% 2>&1
IF "%WAS_HOME%" == "" goto MissingEnvVariable

:chk_directory_srv
Echo #################################################
Echo Check for Directory Server Type
Echo #################################################
GetInput DIR_TYPE "Enter Directory Server Type (MSAD or IBMDS): " ~dir_type.bat
call ~dir_type.bat
del ~dir_type.bat

IF /I "%DIR_TYPE%" == "" goto chk_directory_srv
IF /I "%DIR_TYPE%" == "MSAD" goto redeploy_ear

:ldap_dir
Echo #################################################
Echo Modifying LDAP settings
Echo #################################################
GetInput LDAPDIR "Enter LDAP install directory (C:\LDAP): " ~ldapdir.bat
call ~ldapdir.bat
del ~ldapdir.bat

IF /I "%LDAPDIR%" == "" goto ldap_dir

IF EXIST "%LDAPDIR%\bin\ldapmodify.exe" goto ldap_host
echo LDAP install directory is not correct, please re-enter
goto ldap_dir

:ldap_host
GetInput LDAPHOST "Enter fully qualified LDAP server name (ldap.ibm.com): " ~ldaphost.bat
call ~ldaphost.bat
del ~ldaphost.bat

IF /I "%LDAPHOST%" == "" goto ldap_host

:ldap_admin
GetInput LDAPADMIN "Enter the LDAP Administrator name (root): " ~ldapadmin.bat
call ~ldapadmin.bat
del ~ldapadmin.bat

IF /I "%LDAPADMIN%" == "" goto ldap_admin

:ldap_admnpwd1
GetInput ADMNPWD1 "Enter the LDAP admin password: " ~admnpwd1.bat
call ~admnpwd1.bat
del ~admnpwd1.bat

IF /I "%ADMNPWD1%" == "" goto admnpwd1

:ldap_admnpwd2
GetInput ADMNPWD2 "Confirm the LDAP admin password: " ~admnpwd2.bat
call ~admnpwd2.bat
del ~admnpwd2.bat

IF /I "%ADMNPWD2%" == "" goto ldap_ADMNPWD2
IF /I "%ADMNPWD1%" == "%ADMNPWD2%" goto confirm_ldap_information
goto ldap_admnpwd2

:confirm_ldap_information
echo ========================================================
echo Summary:
echo LDAP install directory: %LDAPDIR%
echo Fully qualified LDAP server name: %LDAPHOST%
echo LDAP Administrator name: %LDAPADMIN%
echo.
echo yes - The information is correct
echo no  - The information is not correct
GetInput CONFIRM "(y)es or (n)o " ~confirminfo.bat
call ~confirminfo.bat
del  ~confirminfo.bat

IF /I "%CONFIRM%" == "y" goto modify_ldap
IF /I "%CONFIRM%" == "n" goto ldap_dir
goto bad_ldap_information


:modify_ldap
set PATH=%PATH%;"%LDAPDIR%"\bin
echo.
echo Executing command: ldapmodify.exe -h %LDAPHOST% -D cn=%LDAPADMIN% -w %ADMNPWD2% -f %TC_HOME%\tools\fp2\newAttribute.ldif
echo.
ldapmodify.exe -h %LDAPHOST% -D cn=%LDAPADMIN% -w %ADMNPWD2% -f "%TC_HOME%\tools\fp2\newAttribute.ldif"

:redeploy_ear
Echo #################################################
Echo Do you want to Re-Deploy the updated EAR file ?
Echo Please note that this is required to completely
Echo install the fix pack.
Echo #################################################
GetInput DEPLOY "(y)es or (n)o" ~deploy.bat
call ~deploy.bat
del ~deploy.bat

IF /I "%DEPLOY%" == "y" goto deploy_yes
IF /I "%DEPLOY%" == "n" goto deploy_no
goto bad_studio

:deploy_yes
Echo ######################################################################
Echo To ReDeploy the updated EAR file you will need to provide the
Echo WebSphere Application Server's Administrator username and password
Echo ######################################################################
GetInput USERNAME "Username:" ~username.bat
call ~username.bat
del ~username.bat
GetInput PASSWORD "Password:" ~password.bat
call ~password.bat
del ~password.bat

IF /I "%USERNAME%" == "" goto missing_was_info
IF /I "%PASSWORD%" == "" goto missing_was_info

Echo Starting WebSphere Application Server
Echo Starting WebSphere Application Server >> %LOGFILENAME% 2>&1
call start_server.bat 

Echo Re-Deploying Updated Ear
call was_deploy.bat %USERNAME% %PASSWORD%

Echo Stoping WebSphere Application Server
call stop_server.bat %USERNAME% %PASSWORD%
goto done

:MissingEnvVariable
echo Undefined environment variable, Please ensure that WAS_HOME and TC_ROOT is set
echo Undefined environment variable, Please ensure that WAS_HOME and TC_ROOT is set >> %LOGFILENAME% 2>&1
goto done

:missing_was_info
echo WebSphere Application Server's Administrator username and password
echo WebSphere Application Server's Administrator username and password 
goto done

:deploy_no
echo You have choosen not to Re-Deploy the application at this time.
echo Please note that this will have to be completed to install the fixpack
echo You have choosen not to Re-Deploy the application at this time. >> %LOGFILENAME% 2>&1
echo Please note that this will have to be completed to install the fixpack >> %LOGFILENAME% 2>&1

: bad_ldap_information
echo Please select either y or n
goto done

:done
Echo Exiting, Please check %LaunchTitle%.log for more information
Echo Exiting, Please check %LaunchTitle%.log for more information >> %LOGFILENAME% 2>&1
Echo End of [ %LaunchTitle% ] script
Echo.
endlocal
