#!/bin/bash


current_dir=`dirname $0`
[ "$current_dir" = "." ] && current_dir=`pwd`

if [ -z "$TC_ROOT" ]; then
	echo "TC_ROOT-E-NOROOT, \$TC_ROOT is not defined" >&2
	exit 1
fi

if [ ! -d $TC_ROOT/tmp ]; then
	mkdir $TC_ROOT/tmp
fi

#need unzip utility
temp=$TC_ROOT/tmp/temp$$
which unzip > $temp
if [ `grep "not found" $temp` ]; then
	echo no unzip utility installed
	rm -f $temp
	exit 1
fi

#get the latest undo.jar in backup dir
ls -t $TC_ROOT/home/thinkcontrol/properties/version/backup | grep jar | head -1 > $temp
jar_name=`cat $temp`

cd $current_dir
#get the old user-factory.xml
unzip -o $TC_ROOT/home/thinkcontrol/properties/version/backup/$jar_name /config/user-factory.xml -d .
mv -f $current_dir/config/user-factory.xml $TC_ROOT/tmp/user-factory.xml

# process the old file 
old_file=$TC_ROOT/tmp/user-factory.xml
TC__LDAPHOST=`grep '<server>' $old_file | sed -e 's^\(.*\)<server>\(.*\)</server>\(.*\)^\2^'` 
TC__LDAPDOMAIN=`grep '<root>' $old_file | sed -e 's^\(.*\)<root>\(.*\)</root>\(.*\)^\2^'` 
TC__LDAPPRINCIPAL=`grep '<principal>' $old_file | sed -e 's^\(.*\)<principal>\(.*\)</principal>\(.*\)^\2^'`
TC__LDAPPRINCIPWDEEE=`grep '<credentials>' $old_file | sed -e 's^\(.*\)<credentials>\(.*\)</credentials>\(.*\)^\2^'`
TC__LDAPUSER=`grep '<internal-user>' $old_file | sed -e 's^\(.*\)<internal-user>\(.*\)</internal-user>\(.*\)^\2^'`
TC__LDAPPWDEEE=`grep '<internal-password>' $old_file | sed -e 's^\(.*\)<internal-password>\(.*\)</internal-password>\(.*\)^\2^'`
 
# replace the variables in new file with the old values 
new_file=$TC_ROOT/home/thinkcontrol/config/user-factory.xml
if [ ! "`grep 'TC__' $new_file`" ]; then
	echo "the user-factory.xml is up-to-date, exiting"
else
	grep 'TC__' $new_file |sed -e 's/.*\(TC__[A-Z]*\).*/\1/g' |\
	while read TC_VAR
	do
	eval TC_VAL=\$$TC_VAR
	#echo "/$TC_VAR/
	#s/$TC_VAR/$TC_VAL/
	#wq" | ex $new_file
	sed -e "s/$TC_VAR/$TC_VAL/g" $new_file > $temp
	mv -f $temp $new_file

	done

	#hardcode for bug 6570
	sed -e 's^<principal>root</principal>^<principal>tioldap</principal>^' $new_file > $temp
	mv -f $temp $new_file
	sed -e 's^<credentials>.*</credentials>^<credentials>8zLQrjH640c=</credentials>^' $new_file > $temp
	mv -f $temp $new_file
fi
echo Updated User-factory.xml  
