/*
 * @(#)src/classes/sov/org/omg/CORBA_2_3/ORB.java, orb-api, hs131, 20030321 1.5.2.1
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/* rmi-iiop/src/share/classes/org/omg/CORBA_2_3/ORB.java, rr100, rr100 99/08/06 */
/*
 * RMI-IIOP v1.0
 *
 */

package org.omg.CORBA_2_3;

// added javadoc comments						/*ibm@4279*/

/**
 * This class contains methods added to the ORB abstract class by CORBA 2.3.
 */
public abstract class ORB extends org.omg.CORBA.ORB {

    /**
     * Constructs an <code>ORB</code>.
     */
    public ORB() {							/*ibm@4318*/
    }

    /**
      * Registers a value factory for use in unmarshaling IDL valuetypes.
      * @param id a RepositoryId for an IDL valuetype.
      * @param factory the value factory object to be used for unmarshaling
      * valuetypes with this RepositoryId.
      * @return the previously registered value factory for this RepositoryId,
      * or <code>null</code> if no value factory was previously registered.
      * @exception org.omg.CORBA.BAD_PARAM if the RepositoryId or factory is
      * not valid.
      */ 
    public org.omg.CORBA.portable.ValueFactory register_value_factory(String id,
				org.omg.CORBA.portable.ValueFactory factory)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }
 
    /**
      * Removes a previously established registration for a value factory.
      * @param id a RepositoryId for an IDL valuetype.
      * @exception org.omg.CORBA.BAD_PARAM if no factory is currently registered
      * for this RepositoryId.
      */ 
    public void unregister_value_factory(String id)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Finds and returns a value factory for the given RepositoryId.
     * The value factory returned was either previously registered by a call to
     * {@link #register_value_factory(String, org.omg.CORBA.portable.ValueFactory)}
     * or is the default factory.
     * @param id the RepositoryId.
     * @return the value factory.
     * @exception org.omg.CORBA.BAD_PARAM if unable to locate a factory.
     **/
    public org.omg.CORBA.portable.ValueFactory lookup_value_factory(String id)
    {
        throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
      * Returns a description of a valuetypes definition as held in the 
      * Interface Repository.
      *	This method always returns an <code>org.omg.CORBA.ValueDef</code>
      * object or throws an exception.  However, its return type is declared as
      * {@link org.omg.CORBA.Object} to avoid the need for the
      * Interface Repository classes to be part of the core Java platform.
      * @param repid a RepositoryId for an IDL valuetype.
      * @return the <code>ValueDef</code> object for this valuetype.
      * @exception org.omg.CORBA.BAD_PARAM if <code>repid</code> does not
      * represent a valuetype.
      */
    public org.omg.CORBA.Object get_value_def(String repid)
				throws org.omg.CORBA.BAD_PARAM {
	throw new org.omg.CORBA.NO_IMPLEMENT();
    }

    /**
     * Allows classes that support ORB portability through delegation to set
     * their delegate.  This is typically required in cases where instances
     * of such classes were created by the application programmer rather than
     * the ORB runtime.
     *
     * @param wrapper the object instance on which the ORB must set the
     * delegate.  The mechanism to set the delegate is specific to the class
     * of the wrapper instance, which must be one of the following classes:
     * <br><code>&nbsp;&nbsp;&nbsp;org.omg.PortableServer.Servant</code>
     * @exception org.omg.CORBA.BAD_PARAM if <code>wrapper</code> is not an 
     * instance of a class for which the ORB can set the delegate. 
     */
    public void set_delegate(java.lang.Object wrapper) {
	throw new org.omg.CORBA.NO_IMPLEMENT();
    }

}
